Loading...
Searching...
No Matches
Ogre::APKFileSystemArchiveFactory Class Reference
Core » Resources

`#include <OgreFileSystem.h>`

Inheritance diagram for Ogre::APKFileSystemArchiveFactory:
[legend]

## Public Member Functions

| APKFileSystemArchiveFactory (AAssetManager *assetMgr)
virtual | ~APKFileSystemArchiveFactory ()
Archive * | createInstance (const String &name, bool readOnly) override
| Creates a new object.
const String & | getType (void) const override
| Returns the factory type.
Public Member Functions inherited from Ogre::ArchiveFactory
virtual | ~ArchiveFactory ()
Archive * | createInstance (const String &name) override
| Creates a new object.
Public Member Functions inherited from Ogre::FactoryObj< Archive >
virtual | ~FactoryObj ()
virtual void | destroyInstance (Archive *ptr)
| Destroys an object which was created by this factory.

## Constructor & Destructor Documentation

## APKFileSystemArchiveFactory()

Ogre::APKFileSystemArchiveFactory::APKFileSystemArchiveFactory | ( | AAssetManager * | assetMgr | ) |

inline

## ~APKFileSystemArchiveFactory()

virtual Ogre::APKFileSystemArchiveFactory::~APKFileSystemArchiveFactory | ( |  | ) |

inline virtual

## Member Function Documentation

## getType()

const String & Ogre::APKFileSystemArchiveFactory::getType | ( | void |  | ) | const

override virtual

Returns the factory type.

Returns
  The factory type.

Implements Ogre::FactoryObj< Archive >.

## createInstance()

Archive * Ogre::APKFileSystemArchiveFactory::createInstance | ( | const String & | name,
|  | bool | readOnly )

override virtual

Creates a new object.

Parameters

  name | Name of the object to create
  readOnly | whether the Archive is read only

Returns
  An object created by the factory. The type of the object depends on the factory.

Implements Ogre::ArchiveFactory.

The documentation for this class was generated from the following file:

- OgreFileSystem.h